This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 662890

Summary: vnc viewer full screen and dual monitors
Product: [Fedora] Fedora Reporter: Ling Li <liling>
Component: tigervncAssignee: Adam Tkac <atkac>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: atkac, idht4n, ovasik
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 13:06:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Ling Li 2010-12-14 00:10:33 EST
I met with the same problem as described in Bug 513524 comment 4 (copy/pasted below).  The problem still exists in Fedora 14.  I would really appreciate a solution.

=== copied from Bug 513524 comment 4

"I just updated my laptop to F12, and started using a dual
monitor setup (side-by-side, NOT mirrored) with more regularity. What I notice
is that when I switch to fullscreen, tigervnc client takes over both displays,
and plants itself half on one and half on the other.

"This is especially annoying because I really like having the use of the ctrl
and alt keys, and it seems the only way to get that is to switch to fullscreen.
Comment 1 David 2011-01-12 12:01:41 EST
I have the same problem.  Either full screen needs to be smarter wrt multi-head
or a grab keyboard/mouse feature needs to be added.
Comment 2 Fedora End Of Life 2012-08-16 13:06:15 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping